%define upstream_name mixin
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    Artistic
Group:      Development/Perl
Summary:    Mix-in inheritance, an alternative to multiple inheritance
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(base)
BuildArch:  noarch

%description
This module allows mix-in inheritance, an alternative to multiple
inheritance.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs vendor --destdir %{buildroot}
./Build

%check
./Build test

%install
./Build pure_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/mixin.pm
%{perl_vendorlib}/mixin/with.pm

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-4.mga8
+ Revision: 1495597
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-3.mga7
+ Revision: 1269258
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-2.mga6
+ Revision: 1029896
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 924089
- update to 0.08

* Fri Jul 24 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 856901
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.07-2.mga5
+ Revision: 748163
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.07-1.mga5
+ Revision: 732002
- imported package perl-mixin

